package com.example {
package snippet {

import _root_.scala.xml.{NodeSeq, Text}
import _root_.net.liftweb.util._
import _root_.net.liftweb.common._
import _root_.java.util.Date
import com.example.lib._
import Helpers._
import net.liftweb.http._
import net.liftweb.http.S._

class HelloWorld {
  lazy val date: Box[Date] = DependencyFactory.inject[Date] // inject the date

  def howdy(in: NodeSeq): NodeSeq = 
     Helpers.bind("b", in, "time" -> date.map(d => Text(d.toString)),
                  "session" -> (S.containerSession.get.sessionId +
                                  " [logged in?] " + com.example.model.User.loggedIn_?
))

  /*
   lazy val date: Date = DependencyFactory.time.vend // create the date via factory

   def howdy(in: NodeSeq): NodeSeq = Helpers.bind("b", in, "time" -> date.toString)
   */
}

}

}